<?php

// check if player id is set in query string
if (!isset($_GET['player_id'])) {
	
	// it is not set, so make them player 1 by default
	$player_id = 1;
}
else {

	// set a variable to store player_id
	$player_id = $_GET['player_id'];
}

// define the SQL queries to run...

// this query will return a random row from the Word table
$sql = "SELECT letters, hint FROM Word ORDER BY RAND() LIMIT 1";

// query the database
$result = mysqli_query($link, $sql);

// get number of rows in result-set
$row_cnt = mysqli_num_rows($result);
// check if there are rows to display...
if ($row_cnt == 0) {
	// if not, output a suitable message
	$content .= "<p>Sorry, something went wrong...there is no word to guess!</p>";
} else {
	// otherwise, play the game

	// include the html for the game
	include("templates/hangman.html");
	
	// fetch each row from result set as an associative array (there should only be one)
	while ($row = mysqli_fetch_assoc($result)) {
		$word = $row['letters'];
		$hint = $row['hint'];
	}

	// free result set
	mysqli_free_result($result);

	// call the playGame function
	$content .= "<script type='text/javascript'>playHangman('$word','$hint', '$player_id');</script>";
}

?>
